org.apache.lucene.index

## Enum FilteredTermsEnum.AcceptStatus

- java.lang.Object
- - java.lang.Enum<FilteredTermsEnum.AcceptStatus>
  - - org.apache.lucene.index.FilteredTermsEnum.AcceptStatus

All Implemented Interfaces:
  Serializable, Comparable<FilteredTermsEnum.AcceptStatus>

Enclosing class:
  FilteredTermsEnum

    protected static enum FilteredTermsEnum.AcceptStatus
    extends Enum<FilteredTermsEnum.AcceptStatus>

Return value, if term should be accepted or the iteration should `END`. The `*_SEEK` values denote, that after handling the current term the enum should call `FilteredTermsEnum.nextSeekTerm(org.apache.lucene.util.BytesRef)` and step forward.

See Also:
  `FilteredTermsEnum.accept(BytesRef)`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`END` Reject the term and stop enumerating.
`NO` Reject the term and position the enum at the next term.
`NO_AND_SEEK` Reject the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.
`YES` Accept the term and position the enum at the next term.
`YES_AND_SEEK` Accept the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

### Method Summary

All Methods Static Methods Concrete Methods
`static FilteredTermsEnum.AcceptStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilteredTermsEnum.AcceptStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### YES

    public static final FilteredTermsEnum.AcceptStatus YES

Accept the term and position the enum at the next term.

#### YES_AND_SEEK

    public static final FilteredTermsEnum.AcceptStatus YES_AND_SEEK

Accept the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

#### NO

    public static final FilteredTermsEnum.AcceptStatus NO

Reject the term and position the enum at the next term.

#### NO_AND_SEEK

    public static final FilteredTermsEnum.AcceptStatus NO_AND_SEEK

Reject the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

#### END

    public static final FilteredTermsEnum.AcceptStatus END

Reject the term and stop enumerating.

### Method Detail

#### values

    public static FilteredTermsEnum.AcceptStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FilteredTermsEnum.AcceptStatus c : FilteredTermsEnum.AcceptStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FilteredTermsEnum.AcceptStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null